<div class='content__personal'>
  <div class='personal__info'>
    <div class='per__group--avt'>
      <nz-spin nzSimple [nzIndicator]='indicatorTemplate'>
        <ng-template #indicatorTemplate>
          <figure class='mb__figure figure__avt' [class.is-company]="currentUser?.empCode">
            <em *ngIf='avtIsLoading' class='icon__loading--avt' nz-icon nzType='loading'></em>
            <img *ngIf='!avtIsLoading' src='{{avtBase64}}' alt=''>
<!--            <nz-upload [nzBeforeUpload]='beforeUpload' [nzLimit]='1' [nzShowUploadList]='false'-->
<!--                       [nzCustomRequest]='handleUpload' nzName='fileAvatar' class='avatar__change'-->
<!--                       nzAccept='image/png,image/jpeg'>-->
<!--              <img alt='' class='icon__upload&#45;&#45;avt' src='/assets/icon/upload/camera.png'>-->
<!--            </nz-upload>-->
            <!--<div class='avatar__change avatar__change&#45;&#45;delete'>
              <mb-button nz-popconfirm nzPopconfirmTitle='Xác nhận xóa ảnh'
                         nzCancelText='Hủy'
                         nzOkType='primary'
                         nzOkText='Đồng ý'
                         (nzOnConfirm)='deleteAvt()'
                         nzPopconfirmPlacement='top' class='icon__upload&#45;&#45;avt' mbButtonType='ONLY_ICON'
                         mbButtonIconType='AWESOME'
                         mbPrefixIcon='fal fa-trash-alt'></mb-button>
            </div>-->
            <div *ngIf='showTmp' class='avatar__change avatar__change--save'>
              <mb-button class='icon__upload--avt' mbButtonType='ONLY_ICON' mbButtonIconType='AWESOME' (click)='saveAvt()'
                         mbPrefixIcon='fas fa-save'></mb-button>
            </div>
          </figure>
        </ng-template>
      </nz-spin>
    </div>
    <div class='per__group--info'>
      <div class='per__info--name'>{{ currentUser?.fullName }}</div>
      <div class='per__info--position'>{{ currentUser?.jobName }}</div>
    </div>
  </div>
  <div class='personal__action'>
    <mb-button mbButtonBgColor='#fff' mbButtonTextColor='#141ED2' mbButtonText='Thông tin cá nhân'
               mbButtonSize='LARGE' (click)='viewInfo()'></mb-button>
  </div>
</div>
